/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package transport.protocol;

import java.io.*;

/* ====================================================================== */
/** This class defines the basic structure for a message used to send data
 *  between agents in the simulation.
 *
 */
public abstract class Sim2PMessage extends Message implements Serializable{



    /* ===================================================================== */
    /** This constructor initializes the Message.
     *
     *  @param  p   The port the ipaq gps receiver is listening on.
     *
     */
  	public Sim2PMessage(int to, int from){
		super(to,from);

	} //Constructor



} //class: Sim2PMessage

